-rw-r--r-- | delta.jscad | 3 |
1 files changed, 1 insertions, 2 deletions
diff --git a/delta.jscad b/delta.jscad index 758824b..5be6715 100644 --- a/delta.jscad +++ b/delta.jscad | |||
@@ -1,54 +1,53 @@ | |||
1 | var PRINT = { | 1 | var PRINT = { |
2 | layer_height: 0.2, | 2 | layer_height: 0.2, |
3 | extrusion_width: 0.4, | 3 | extrusion_width: 0.4, |
4 | 4 | ||
5 | fit_tolerance: 0.4, | 5 | fit_tolerance: .2, slide_tolerance: .4, play_tolerance: .6 |
6 | slide_tolerance: 0.2 | ||
7 | }; | 6 | }; |
8 | 7 | ||
9 | var CONFIG = { | 8 | var CONFIG = { |
10 | hotend: { | 9 | hotend: { |
11 | h: 62.4, // full assembly height | 10 | h: 62.4, // full assembly height |
12 | groove: { d:12, h:6 }, // grove diameter and height | 11 | groove: { d:12, h:6 }, // grove diameter and height |
13 | ungroove: { d:16, above:3.7, below: 3+4 } | 12 | ungroove: { d:16, above:3.7, below: 3+4 } |
14 | }, | 13 | }, |
15 | effector: { | 14 | effector: { |
16 | h: 6, | 15 | h: 6, |
17 | o: 20,// offset to the rod mounts line | 16 | o: 20,// offset to the rod mounts line |
18 | rods_apart: 40, | 17 | rods_apart: 40, |
19 | cone: { shell: 1, angle: Math.PI/6 }, | 18 | cone: { shell: 1, angle: Math.PI/6 }, |
20 | rodend: { | 19 | rodend: { |
21 | joint_w: 7,// thickness of the joint | 20 | joint_w: 7,// thickness of the joint |
22 | screw_l: 20-1, // 20 with the head | 21 | screw_l: 20-1, // 20 with the head |
23 | screw_d: 3 | 22 | screw_d: 3 |
24 | }, | 23 | }, |
25 | hotend: { margin: 2 }, | 24 | hotend: { margin: 2 }, |
26 | hinge: { | 25 | hinge: { |
27 | d: 3, w: 5, margin: 2.5, | 26 | d: 3, w: 5, margin: 2.5, |
28 | h: 1+(6+3.7)/2, // elevation + grove + top | 27 | h: 1+(6+3.7)/2, // elevation + grove + top |
29 | e: 1 // elevation | 28 | e: 1 // elevation |
30 | }, | 29 | }, |
31 | clamp: { | 30 | clamp: { |
32 | shell: 4.6, | 31 | shell: 4.6, |
33 | d: 3, | 32 | d: 3, |
34 | margin: 2.5, | 33 | margin: 2.5, |
35 | split: 0.6 | 34 | split: 0.6 |
36 | }, | 35 | }, |
37 | mswitch: { | 36 | mswitch: { |
38 | size: [ 19.8, 6, 10 ], | 37 | size: [ 19.8, 6, 10 ], |
39 | screw: { | 38 | screw: { |
40 | d: 2, h: 10/2-2, | 39 | d: 2, h: 10/2-2, |
41 | s: 1.3, // screw shell | 40 | s: 1.3, // screw shell |
42 | o: [-9.5/2,9.5/2].map(function(x) { | 41 | o: [-9.5/2,9.5/2].map(function(x) { |
43 | return -19.8/2+x; | 42 | return -19.8/2+x; |
44 | }) | 43 | }) |
45 | }, | 44 | }, |
46 | switch_x: 2.5 | 45 | switch_x: 2.5 |
47 | }, | 46 | }, |
48 | guide: { | 47 | guide: { |
49 | width: 3, height: 5+1, length: 6 | 48 | width: 3, height: 5+1, length: 6 |
50 | }, | 49 | }, |
51 | fanholder: { | 50 | fanholder: { |
52 | r: 30, | 51 | r: 30, |
53 | screw: { d: 3, m: 2.5/*margin*/ }, | 52 | screw: { d: 3, m: 2.5/*margin*/ }, |
54 | w: 3 | 53 | w: 3 |